﻿$ErrorActionPreference = 'Stop'

$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
    packageName    = $env:ChocolateyPackageName
    unzipLocation  = $toolsDir
    url            = 'https://github.com//gohugoio/hugo/releases/download/v0.51/hugo_0.51_Windows-32bit.zip'
    url64          = 'https://github.com//gohugoio/hugo/releases/download/v0.57.1/hugo_0.57.1_Windows-64bit.zip'

    checksum       = 'BB6AE1134F2772D77A257C81DF526518406429918D636E3A0CB05D853A1E486E'
    checksumType   = 'sha256'
    checksum64     = 'b901d339f71f3da6be079c7ded77d9f1cf07a1b1721a438ce6d42fed1c210099'
    checksumType64 = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
